Bug 15466 - / on /dev/nbd* support
: / on /dev/nbd* support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 15333
  Show dependency tree
 
Reported: 2008-04-25 18:48 by
Modified: 2012-11-04 15:47 (History)


Attachments
mkinitrd-3.0.5-nbd.patch (3.42 KB, patch)
2008-04-25 18:50, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-25 18:48:47
Прошу рассмотреть включение нижеследующего патча - для поддержки / на /dev/nbd*
------- Comment #1 From 2008-04-25 18:50:51 -------
Created an attachment (id=2589) [details]
mkinitrd-3.0.5-nbd.patch

Собственно, патч
------- Comment #2 From 2008-04-25 18:51:36 -------
(In reply to comment #0)
> Прошу рассмотреть включение нижеследующего патча - для поддержки / 
на /dev/nbd*

"Расмотреть ВОЗМОЖНОСТЬ включения", конечно же:)
------- Comment #3 From 2009-09-17 18:41:01 -------
А почему бы по аналогии с:

# rpm -qli mkinitrd-initramfs    
Name        : mkinitrd-initramfs           Relocations: (not relocatable)
Version     : 3.0.10                            Vendor: ALT Linux Team
...
/lib/mkinitrd/initramfs-base/init
/lib/mkinitrd/initramfs-base/sbin
/lib/mkinitrd/initramfs-base/sbin/udevadm
/lib/mkinitrd/initramfs-base/scripts
/lib/mkinitrd/initramfs-base/scripts/functions
/lib/mkinitrd/initramfs-base/scripts/local
/lib/mkinitrd/initramfs-base/scripts/nfs

не запаковать файлы, необходимые для загрузки с nbd, в какой-нибудь
mkinitrd-nbd?
------- Comment #4 From 2009-09-17 18:47:45 -------
(В ответ на комментарий №3)
> А почему бы по аналогии с:
> 
> # rpm -qli mkinitrd-initramfs    
> Name        : mkinitrd-initramfs           Relocations: (not relocatable)
> Version     : 3.0.10                            Vendor: ALT Linux Team
> ...
> /lib/mkinitrd/initramfs-base/init
> /lib/mkinitrd/initramfs-base/sbin
> /lib/mkinitrd/initramfs-base/sbin/udevadm
> /lib/mkinitrd/initramfs-base/scripts
> /lib/mkinitrd/initramfs-base/scripts/functions
> /lib/mkinitrd/initramfs-base/scripts/local
> /lib/mkinitrd/initramfs-base/scripts/nfs
> 
> не запаковать файлы, необходимые для загрузки с nbd, в какой-нибудь
> mkinitrd-nbd?

"файлы, необходимые для загрузки с nbd" состоят из одного файла scripts/nbd
размером 727 байт
------- Comment #5 From 2009-12-08 20:22:04 -------
ping
------- Comment #6 From 2009-12-08 20:23:43 -------
(В ответ на комментарий №5)
> ping

http://git.altlinux.org/people/led/packages/mkinitrd.git
------- Comment #7 From 2009-12-09 04:59:39 -------
At this time, I'm reluctant to add any enhancements to this monolithic
mkinitrd.

Please have a look at another implementations that have modular architecture,
e.g. make-initrd by Alexey Gladkov and Kirill Shutemov.
------- Comment #8 From 2009-12-11 16:46:02 -------
(In reply to comment #7)
> At this time, I'm reluctant to add any enhancements to this monolithic
> mkinitrd.
Тогда перевесь пакет на nobody@ вслед за багами на него.
------- Comment #9 From 2012-11-04 15:47:52 -------
mkinitrd-1:3.0.12-alt1 -> sisyphus:

* Sun Nov 04 2012 Led <led@altlinux> 1:3.0.12-alt1
- 3.0.12:
  + mkinitrd: find modules in modules.alias if modules.pcimap not exists
  + mkinitrd: added modules.builtin and modules.order to tree
  + mkinitrd: added kmod support
  + mkinitrd: copy /lib/udev/dm_export only if it exists
  + mkinitrd: added support xz and lzo compressing
  + mkinitrd: added --with-nbd
  + scripts/local: use fs type 'auto' if unknown
  + init: added support parameters for loading modules
  + init: added 'modules=' kernel parameter support
  + rewrote script 'dhcp' to 'ip'
  + added support 'netdev' kernel parameter
  + added scripts/nbd_*
  + mkinitrd: added --root and --rootfs options
  + added support boot from nbd (ALT#15466)
  + mkinitrd: added support list file for --preload|--with|--extra (ALT#11375)
  + mkinitrd: removed unsupported image types
  + mkinitrd: added support /etc/sysconfig/mkinitrd config
  + mkinitrd: added lzma, xz, lzo and bzip2 compression (ALT#21588)
  + applied patch from http://bugzilla.altlinux.org/show_bug.cgi?id=19388
    for LVM2 support in initrd